"""Add first_task_index and last_task_index to ApplyWorkflow

Revision ID: 5bceafdacaad
Revises: 8f79bd162e35
Create Date: 2023-09-11 13:18:59.201226

"""
import sqlalchemy as sa
from alembic import op


# revision identifiers, used by Alembic.
revision = "5bceafdacaad"
down_revision = "8f79bd162e35"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("applyworkflow", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column(
                "first_task_index", sa.Integer(), nullable=False, default=9999
            )
        )
        batch_op.add_column(
            sa.Column(
                "last_task_index", sa.Integer(), nullable=False, default=9999
            )
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("applyworkflow", schema=None) as batch_op:
        batch_op.drop_column("last_task_index")
        batch_op.drop_column("first_task_index")

    # ### end Alembic commands ###
